FAQ
I am using perl 5.8.8, dbi vesion 1.6.0.9, dbd:pg 2.16.1. os is linux. Postgressql = 8.4.1.
------------------------
I installed a new version of DBI and that went ok. Then I tried to install dbd:pg module and it complained about something with version?

Configuring DBD::Pg 2.16.1
PostgreSQL version: 80401 (default port: 5432)
POSTGRES_HOME: (not set)
POSTGRES_INCLUDE: /usr/local/encap/postgresql-8.4.1/include
POSTGRES_LIB: /usr/local/encap/postgresql-8.4.1/lib
OS: linux
Warning: prerequisite version 0 not found.
Could not eval '
package ExtUtils::MakeMaker::_version;
no strict;

local $VERSION;
$VERSION=undef; do {
use version; our $VERSION = qv('2.16.1');
}; $VERSION
' in Pg.pm: Can't locate version.pm in @INC (@INC contains: t/lib /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8 .) at (eval 10) line 7, <FH> line 20.
BEGIN failed--compilation aborted at (eval 10) line 7, <FH> line 20.
WARNING: Setting VERSION via file 'Pg.pm' failed
at /usr/lib/perl5/5.8.8/ExtUtils/MakeMaker.pm line 515
Using DBI 1.609 (for perl 5.008008 on i386-linux-thread-multi) installed in /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi/auto/DBI/
Writing Makefile for DBD::Pg

Search Discussions

  • Henning Manske at Jan 22, 2010 at 12:35 pm
    Hi Tom,

    "version" is the name of another Perl module. Try to install
    version.pm from CPAN first:

    $ cpan version

    (or download from http://search.cpan.org/dist/version/)

    Good luck,
    Henning

    On Thu, Jan 21, 2010 at 10:17 PM, Tom Fahland wrote:
    I am using perl 5.8.8, dbi vesion 1.6.0.9, dbd:pg 2.16.1. os is linux. Postgressql = 8.4.1.
    ------------------------
    I installed a new version of DBI and that went ok. Then I tried to install dbd:pg module and it complained about something with version?

    Configuring DBD::Pg 2.16.1
    PostgreSQL version: 80401 (default port: 5432)
    POSTGRES_HOME: (not set)
    POSTGRES_INCLUDE: /usr/local/encap/postgresql-8.4.1/include
    POSTGRES_LIB: /usr/local/encap/postgresql-8.4.1/lib
    OS: linux
    Warning: prerequisite version 0 not found.
    Could not eval '
    package ExtUtils::MakeMaker::_version;
    no strict;

    local $VERSION;
    $VERSION=undef; do {
    use version; our $VERSION = qv('2.16.1');
    }; $VERSION
    ' in Pg.pm: Can't locate version.pm in @INC (@INC contains: t/lib /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8 .) at (eval 10) line 7, <FH> line 20.
    BEGIN failed--compilation aborted at (eval 10) line 7, <FH> line 20.
    WARNING: Setting VERSION via file 'Pg.pm' failed
    at /usr/lib/perl5/5.8.8/ExtUtils/MakeMaker.pm line 515
    Using DBI 1.609 (for perl 5.008008 on i386-linux-thread-multi) installed in /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi/auto/DBI/
    Writing Makefile for DBD::Pg
  • Greg Sabino Mullane at Jan 22, 2010 at 2:47 pm

    I installed a new version of DBI and that went ok. Then I tried to
    install dbd:pg module and it complained about something with version?
    As pointed out, 'version' is a (perhaps poorly named) Perl module that
    ensures handling of tri-part versions (such as Postgres itself uses).

    It should be installable via "yum install perl-version" or whatever
    package mechanism you use. All else fails, it's on CPAN of course.

    Worse comes to worse, you can still 'make' and 'make install'
    without it.

    - --
    Greg Sabino Mullane greg@turnstep.com
    End Point Corporation http://www.endpoint.com/
    PGP Key: 0x14964AC8 201001220946
    http://biglumber.com/x/web?pk=2529DF6AB8F79407E94445B4BC9B906714964AC8

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupdbd-pg @
categoriesperl
postedJan 21, '10 at 9:20p
activeJan 22, '10 at 2:47p
posts3
users3
websiteperl.org

People

Translate

site design / logo © 2022 Grokbase